package com.cj.jiaqingjiayi.model.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 商家
 * @TableName business
 */
@TableName(value ="business")
@Data
public class Business implements Serializable {
    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 门店名称
     */
    private String businessName;

    /**
     * 门店头像
     */
    private String businessAvatar;

    /**
     * 门店手机号
     */
    private String businessPhone;

    /**
     * 店铺详细地址
     */
    private String address;

    /**
     * 门店简介
     */
    private String businessProfile;

    /**
     * 商家相册
     */
    private String businessImages;

    /**
     * 分类id
     */
    private Long categoryId;

    /**
     * 开始营业时间
     */
    private String startBusiness;

    /**
     * 结束营业时间
     */
    private String endBusiness;

    /**
     * 状态:0审核中,1启用,2禁用
     */
    private Integer state;

    /**
     * 店铺状态:0休业,1营业
     */
    private Integer storeStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}