package com.cj.jiaqingjiayi.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cj.jiaqingjiayi.model.domain.Business;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.domain.BusinessAuth;
import com.cj.jiaqingjiayi.model.domain.User;
import com.cj.jiaqingjiayi.model.request.business.BusinessQueryRequest;
import com.cj.jiaqingjiayi.model.vo.BusinessVO;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
* @author 高木
* @description 针对表【business(商家)】的数据库操作Service
* @createDate 2024-07-28 17:16:33
*/
public interface BusinessService extends IService<Business> {

    /**
     * 添加商户和商家的账户以及填充认证信息
     * @param user
     * @param business
     * @param businessAuth
     */
    void addBusiness(User user, Business business, BusinessAuth businessAuth);

    /**
     *校验
     */
    void validUser(User user, boolean add);

    void validBusiness(Business business, boolean add);

    void validBusinessAuth(BusinessAuth businessAuth, boolean add);

    /**
     * 获取查询条件
     */
    QueryWrapper<Business> getQueryWrapper(BusinessQueryRequest businessQueryRequest);

    public BusinessVO getBusinessVO(Business business);
    /**
     * 获取脱敏的商家信息
     */
    List<BusinessVO> getBusinessVO(List<Business> businessList);


    /**
     * 获取当前登录商家
     */
    Business getLoginBusiness(HttpServletRequest request);
}
