package com.cj.jiaqingjiayi.service;

import com.cj.jiaqingjiayi.model.domain.SpecificationsCommodities;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.vo.SpecificationsVO;

import java.util.List;

/**
* @author 高木
* @description 针对表【specifications_commodities(商品和规格的中间表)】的数据库操作Service
* @createDate 2024-08-21 16:21:41
*/
public interface SpecificationsCommoditiesService extends IService<SpecificationsCommodities> {

    /**
     * 添加中间表信息
     */
    Boolean add(Long commoditiesId, List<Long> specificationsIds);

    /**
     * 删除中间表信息
     */
    void deleteByCommoditiesId(Long commoditiesId);

    /**
     * 更新中间表信息
     */
    Boolean updateByCommoditiesId(Long commoditiesId, List<Long> specificationsIds);

    /**
     * 根据中间表数据中的规格id获取规格信息和属性
     */
    List<SpecificationsVO> getSpecificationsAddAttribute(List<SpecificationsCommodities> specificationsCommoditiesList);


}
